Subject: bug#355: M-x should prompt with function under cursor as default

From: Stefan Monnier <[email-masked]>
Date: Fri, 06 Jun 2008 14:18:33 -0400

JPW> Do the Emacs developers think that this feature is worth adding ?
JPW> Ooops, I missed Stef's reply to the BTS saying no.  Fair enough :)

SM> In any case, I don't think the functionality you're asking makes much
SM> sense: it is rather rare to do a M-x where the command you want to run
SM> happens to be under point.
> Just as often as C-h f and C-h v for me at least.

And how often is that?

For me, C-h f on the function at point is the most common use of
C-h f (I'm looking at a piece of Elisp code and want to know what the
function does).

I have a hard time believe that you often do M-x <FUN> where <FUN> is
the function at point.  Please give me scenarios,

        Stefan